import request from '@/utils/request'

// 查询视频上传列表列表
export function listLzydVideoUpload(query) {
  return request({
    url: '/system/LzydVideoUpload/list',
    method: 'get',
    params: query
  })
}

// 查询视频上传列表详细
export function getLzydVideoUpload(id) {
  return request({
    url: '/system/LzydVideoUpload/' + id,
    method: 'get'
  })
}

// 新增视频上传列表
export function addLzydVideoUpload(data) {
  return request({
    url: '/system/LzydVideoUpload',
    method: 'post',
    data: data
  })
}

// 修改视频上传列表
export function updateLzydVideoUpload(data) {
  return request({
    url: '/system/LzydVideoUpload',
    method: 'put',
    data: data
  })
}

// 删除视频上传列表
export function delLzydVideoUpload(id) {
  return request({
    url: '/system/LzydVideoUpload/' + id,
    method: 'delete'
  })
}

// 导出视频上传列表
export function exportLzydVideoUpload(query) {
  return request({
    url: '/system/LzydVideoUpload/export',
    method: 'get',
    params: query
  })
}